Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.beans
Class Format

    java.lang.Object

      |

      +--oracle.ifs.beans.LibraryObject

            |

            +--oracle.ifs.beans.TieLibraryObject

                  |

                  +--oracle.ifs.beans.SystemObject

                        |

                        +--oracle.ifs.beans.TieSystemObject

                              |

                              +--oracle.ifs.beans.Format

All Implemented Interfaces:
  IfsEventHandler, LibraryObjectInterface, SystemObjectInterface, Traceable

Direct Known Subclasses:
  TieFormat

public class Format
extends TieSystemObject

The Format class represents the known formats of document content. Examples of formats are type of word processor file, or a specific encoding of video. The format is used to determine how best to store and retrieve a document's content, as well as how a client should render it. The format class maintains the content MIME type, which is used by web browsers and other internet clients.

You should specify a document's format whenever you create a document with content. Two collections of formats can be retrieved from the current LibrarySession. The collections contain the same formats; one allows a lookup by format name, and the other by format file extension (for example, "html").

Note that you need to have admin privileges to create or modify document formats.

See Also:
  `Document`

Field Summary
`static java.lang.String` | `BINARY_ATTRIBUTE` An indicator of whether this Format is textual or binary.
`static java.lang.String` | `CLASS_NAME` This class name for this class.
`static java.lang.String` | `EXTENSION_ATTRIBUTE` A three letter file extension associated with this Format (e.g.
`static java.lang.String` | `MIMETYPE_ATTRIBUTE` The MIME type of this Format (e.g.
`static java.lang.String` | `NAME_ATTRIBUTE` The name of this Format (e.g.

Fields inherited from class oracle.ifs.beans.SystemObject
`ACTIVE_ATTRIBUTE, POLICYBUNDLE_ATTRIBUTE, PROPERTYBUNDLE_ATTRIBUTE`

Method Summary
`java.lang.String` | `getExtension()` returns the local file extension associated with this Format.
`java.lang.String` | `getMimeType()` returns the MIME type of this Format
`boolean` | `isBinary()` returns true if this format describes binary content, false if text.
`void` | `setBinary(boolean isBinary)` Marks this format as either binary (true) or text (false)
`void` | `setExtension(java.lang.String FileExtension)` Associates a local file extension with this Format.
`void` | `setMimeType(java.lang.String mimeType)` Associates MIME type with this Format.

Methods inherited from class oracle.ifs.beans.SystemObject
`getPolicyBundle, getPropertyBundle, isActive, putPolicy, putProperty, putProperty, removeAllPolicies, removeAllProperties, removePolicy, removePolicy, removeProperty, setActive, setPolicyBundle, setPropertyBundle`

Methods inherited from class oracle.ifs.beans.LibraryObject
`equals, free, free, getAttribute, getAttributeByUpperCaseName, getAttributes, getAttributesByUpperCaseNames, getClassId, getClassObject, getDefinition, getId, getLabel, getName, getSession, handleEvent, hasNameAttribute, invokeServerMethod, isInstanceOf, isTraced, lookupInstanceLabel, postEvent, postEvent, renderAsReader, renderAsStream, setAttribute, setAttribute, setAttributes, setAttributes, setName, toString, trace, update`

Methods inherited from interface oracle.ifs.common.LibraryObjectInterface
`getId`

Methods inherited from interface oracle.ifs.common.Traceable
`getTraceLogger, isTraced, trace`

Field Detail

### CLASS_NAME

    public static final java.lang.String CLASS_NAME

  This class name for this class. Useful for methods that take a class name argument.

### NAME_ATTRIBUTE

    public static final java.lang.String NAME_ATTRIBUTE

  The name of this Format (e.g. Text).

### MIMETYPE_ATTRIBUTE

    public static final java.lang.String MIMETYPE_ATTRIBUTE

  The MIME type of this Format (e.g. text/html).

### BINARY_ATTRIBUTE

    public static final java.lang.String BINARY_ATTRIBUTE

  An indicator of whether this Format is textual or binary.

### EXTENSION_ATTRIBUTE

    public static final java.lang.String EXTENSION_ATTRIBUTE

  A three letter file extension associated with this Format (e.g. txt).

Method Detail

### getExtension

    public java.lang.String getExtension()
                                  throws IfsException

  returns the local file extension associated with this Format.
  Returns:
    the local file extension associated with this Format.
  Throws:
    `IfsException` - on failure

### setExtension

    public void setExtension(java.lang.String FileExtension)
                      throws IfsException

  Associates a local file extension with this Format. Formats are associated with one extension only.
  Parameters:
    `FileExtension` - a file extension to associate with this Format.
  Throws:
    `IfsException` - on failure

### isBinary

    public boolean isBinary()
                     throws IfsException

  returns true if this format describes binary content, false if text.
  Returns:
    true if this format describes binary content, false if text.
  Throws:
    `IfsException` - on failure

### setBinary

    public void setBinary(boolean isBinary)
                   throws IfsException

  Marks this format as either binary (true) or text (false)
  Parameters:
    `isBinary` - true if binary, false if text
  Throws:
    `IfsException` - on failure

### getMimeType

    public java.lang.String getMimeType()
                                 throws IfsException

  returns the MIME type of this Format
  Returns:
    the MIME type of this Format
  Throws:
    `IfsException` - on failure

### setMimeType

    public void setMimeType(java.lang.String mimeType)
                     throws IfsException

  Associates MIME type with this Format.
  Parameters:
    `mimeType` - a MIME type to associate with this Format.
  Throws:
    `IfsException` - on failure

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD